﻿using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Practices.ObjectBuilder;
using Microsoft.Practices.CompositeWeb;
using SistemaBancario.Cliente.Entities;

namespace SistemaBancario.Cliente.Views
{
    public class CadastrarClientePresenter : Presenter<ICadastrarCliente>
    {

        private ClienteController _controller;
        public CadastrarClientePresenter([CreateNew] ClienteController controller)
        {
            _controller = controller;
        }

        public override void OnViewLoaded()
        {            
        }

        public override void OnViewInitialized()
        {
            if (_controller.ClienteAtual != null)
            {
                View.CpfCliente = _controller.ClienteAtual.Cpf;
                View.NomeCliente = _controller.ClienteAtual.Nome;
            }
        }

        public void OnCadastrar(string nome, string cpf)
        {            
            _controller.SubmeterCadastroCliente(new ClienteEntity(nome, cpf));
        }

        public void OnCancelar()
        {
            _controller.CancelarCadastroCliente();
        }
    }
}




