﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Microsoft.Practices.ObjectBuilder;
using SistemaBancario.Cliente.Views;

public partial class Cliente_CadastrarCliente : System.Web.UI.Page, ICadastrarCliente
{
    private CadastrarClientePresenter _presenter;

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            this._presenter.OnViewInitialized();
        }
        this._presenter.OnViewLoaded();
    }

    public string CpfCliente
    {
        set
        {
            txtCpf.Text = value;
        }
    }

    public string NomeCliente
    {
        set
        {
            txtNome.Text = value;
        }
    }

    [CreateNew]
    public CadastrarClientePresenter Presenter
    {
        set
        {
            this._presenter = value;
            this._presenter.View = this;
        }
    }

    // TODO: Forward events to the presenter and show state to the user.
    // For examples of this, see the View-Presenter (with Application Controller) QuickStart:
    //		ms-help://MS.VSIPCC.v80/ms.practices.wcsf.2007dec/wcsf/html/02-480-ViewPresenter.htm

    protected void btnOK_Click(object sender, EventArgs e)
    {
        _presenter.OnCadastrar(txtNome.Text, txtCpf.Text);
    }
    protected void btnCancelar_Click(object sender, EventArgs e)
    {
        _presenter.OnCancelar();
    }
}


