﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Microsoft.Practices.ObjectBuilder;
using SistemaBancario.Cliente.Views;
using SistemaBancario.Cliente.Entities;
using System.Collections.Generic;

public partial class Cliente_ListarClientes : System.Web.UI.Page, IListarClientes
{
    private ListarClientesPresenter _presenter;

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            this._presenter.OnViewInitialized();
        }
        this._presenter.OnViewLoaded();
    }

    [CreateNew]
    public ListarClientesPresenter Presenter
    {
        set
        {
            this._presenter = value;
            this._presenter.View = this;
        }
    }

    public IList<ClienteEntity> Clientes
    {
        set
        {
            ObjectContainerDataSource1.DataSource = value;
        }
    }

    // TODO: Forward events to the presenter and show state to the user.
    // For examples of this, see the View-Presenter (with Application Controller) QuickStart:
    //		ms-help://MS.VSIPCC.v80/ms.practices.wcsf.2007dec/wcsf/html/02-480-ViewPresenter.htm

    protected void ObjectContainerDataSource1_Deleted(object sender, Microsoft.Practices.Web.UI.WebControls.ObjectContainerDataSourceStatusEventArgs e)
    {
        _presenter.OnExcluirCliente(e.Instance as ClienteEntity);
    }
    protected void ObjectContainerDataSource1_Updated(object sender, Microsoft.Practices.Web.UI.WebControls.ObjectContainerDataSourceStatusEventArgs e)
    {
        _presenter.OnAtualizarCliente(e.Instance as ClienteEntity);
    }
}


